package org.springblade.etl.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum JobStatus implements DictInstance {

    ONLINE(1, "下线"),
    OFFLINE(2, "上线"),
    ONLINE_RUN(3, "上线并运行"),
    ;

    @EnumValue
    private Integer value;
    private String label;

    JobStatus(Integer value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getLabel() {
        return label;
    }
}
